﻿/* overwrite bootstrap warning and danger color profile */
.alert-warning {
    color: black;
    background-color: yellow;
    border-color: red;
}

.alert-danger {
    color: white;
    background-color: indianred;
    border-color: red;
}

.favorites-menu-item {
    line-height: 28px;
    margin-left: 0;
    margin-right: 10px;
}

.panel-default > .home-panel-heading {
    color: white;
    background-color: #960D0D;
    border-color: #960D0D;
}

.table > tbody > tr > .no-line {
    border-top: none !important;
    border-bottom: none !important;
    border: 0 !important;
}

.table > thead > tr > .no-line {
    border-top: none !important;
    border-bottom: none !important;
    border: 0 !important;
}

tr.no-border td {
    border-top: none !important;
    border-bottom: none !important;
    border: 0 !important;
}

th.no-border {
    border-top: none !important;
    border-bottom: none !important;
    border: 0 !important;
    border-collapse: collapse;
}

tr.no-border th {
    border-top: none !important;
    border-bottom: none !important;
    border: 0 !important;
    border-collapse: collapse;
}

.th-topborder {
    border-bottom: none;
    border-left: none;
    border-right: none;
    border-top: solid;
    border-top-width: 2px;
    border-top-color: #000000;
}

/*no-line td,
.no-line th {
    border-top: none !important;
    border-bottom: none !important;
    border: 0 !important;
}*/

.table-borderless td,
.table-borderless th {
    border: 0 !important;
}

.table.th-overflow-auto {
    overflow: auto;
    white-space: nowrap;
}

.th-colspan-1 {
    min-width: 12em;
}

.th-colspan-2 {
    min-width: 24em;
}

.th-colspan-3 {
    min-width: 36em;
}


body {
    /*padding-left: 15px;
    padding-right: 15px;*/
    padding-top: 50px;
    padding-bottom: 20px;
    overflow-x: hidden;
    line-height: 1.0;
}

h4 {
    font-weight: bold;
}

/* DP - to move datatables excel button to right side */
div.dt-buttons {
    float: right;
    margin-left: 10px;
}

/* DP- make data in datagrids smaller */
.table.th-dataTable {
    font-size : 12px;
}

/* DP- to find dataTables to redraw */
.table.th-canRedraw {

}

.table.th-striped {
    font-size: 12px;
    border-spacing: 0 1em;
}

.table.th-striped tr:nth-child(even) {
    background-color: #f2f2f2;
}

/* DP - for side bar menu using imgs */
.sidebar-collapsed #sidebar-menu li a img {
    width: 36px;
    text-align: right;
    margin: 0 0 0 10px;
}

div.row {
    margin-bottom: 2px;
    margin-right: 0;
    margin-left: 0;
}

div.row hr {
    margin-top: 5px;
    margin-bottom: 5px;
}

div.row h2 {
    padding-left: 0;
    margin-top: 0;
}

.nav > li.disabled {
    cursor: not-allowed;
}
.nav > li.disabled > a {
    pointer-events: none;
}


.ui-tabs-panel .th-tabcaption {
    margin-top: -20px;
}

.ui-tabs-panel .th-absolute {
    position: absolute;
    top: 60px;
}

.ui-autocomplete {
    max-height: 250px;
    overflow-x: hidden;
    overflow-y: scroll;
}

.selected-item {
    background-color: lightsteelblue;
}

.selected-row {
    background-color: lightgray;
}

.kitcontent-row {
    background-color: whitesmoke;
}

.highlighted-kitcontent-row {
    background-color: lightyellow;
}

.highlighted-row {
    background-color: yellow;
}

.received-row {
    background-color: lightgreen;
}

.issued-row {
    background-color: #EDE814 !important;
}

.overdue-row {
    background-color: #FF0000 !important;
}

.table-select tr {
    cursor: pointer;
}

/*.attachment-dialog > table > tbody > tr > td {*/
.table > tbody > tr > td {
    vertical-align: middle;
}

.table > tbody > tr > .th-number, input[type="number"] {
    text-align: right;
    /* 2019-08-12 - DP - set narrower width for numeric entries*/
    width: 150px;
    /*vertical-align: middle;*/
}

input[type="number"] {
    text-align: right;
    /* 2019-08-12 - DP - set narrower width for numeric entries*/
    width: 150px;
    /*vertical-align: middle;*/
}

input.th-currency {
    text-align: right;
    /* 2019-08-12 - DP - set narrower width for numeric entries*/
    width: 150px;
    /*vertical-align: middle;*/
}

input.th-currency-grid {
    text-align: right;
    min-width: 90px;
}

input.th-percent {
    text-align: right;
    /* 2019-08-12 - DP - set narrower width for numeric entries*/
    width: 150px;
    /*vertical-align: middle;*/
}

input.th-percent-grid {
    text-align: right;
    min-width: 90px;
}

label.th-number {
    text-align: right;
    /* 2019-08-12 - DP - set narrower width for numeric entries*/
    width: 150px;
    /*vertical-align: middle;*/
}

.th-caption {
    color: black;
    padding: 5px 0 0 0;
    width: 200px;
    font-weight: 500;
}

.th-caption-no-edit {
    color: black;
    padding: 0 5px 0 0;
    width: 200px;
    font-weight: 500;
}


/*GiangN-18/03/2020
Change font-weight from 500 to Bold for table header*/
.th-gridcaption {
    color: black;
    padding: 0 0 0 0;
    /*font-weight: 500;*/
    font-weight: bold;
}

.th-headercaption {
    color: black;
    padding: 0 5px 0 0;
    font-weight: 500;
}

.th-headercaption-no-edit {
    color: black;
    padding: 0 5px 0 0;
    font-weight: 500;
}

.th-required {
    color: red;
}

a.th-caption {
    color: black;
    padding: 0 5px 0 5px;
    width: 200px;
    font-weight: 500;
}

a.th-required {
    color: red;
}

hr {
    margin-top: 5px;
    margin-bottom: 5px;
}

.toolbar button {
    width: 16px;
    height: 24px;
    background-size: 16px 16px;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 2px 2px;
}

.edit-caption img {
    width: 16px;
    height: 16px;
}

.has_error {
    border-color: red;
}

/*.scroll-area {
    height: 400px;
    position: relative;
    overflow: auto;
}*/

.audit {
    margin-bottom: 0;
    padding-bottom: 0;
    padding-top: 0;
}

    .audit table {
        margin-bottom: 0;
        color: black;
        padding: 0 0 0 0;
        font-weight: 200;
        font-size: small;
    }

/*.audit th {
    color: black;
    padding: 0 0 0 0;
    font-weight: 200;
    font-size: small;
}

.audit td {
    color: black;
    padding: 0 0 0 0;
    font-weight: 200;
    font-size: small;
}*/

.th-lookup {
    padding-right: 17px;
}

.th-image-container {
    display: inline-block;
    position: relative;
}

.th-image-container .th-image-delete-button {
    position: absolute;    
    right: 0;
    top: 0;
}

.th-waiting-modal {
    display:    none;
    position:   fixed;
    z-index:    1000;
    top:        0;
    left:       0;
    height:     100%;
    width:      100%;
    /*background: rgba( 255, 255, 255, .8 ) 
                url('/images/ajax-loader.gif') 
                50% 50% 
                no-repeat;*/
}

.th-criteria-row {
    padding: 10px 10px 10px 10px; 
    border-color: rgb(204,204,204); 
    border-width: 1px; 
    border-style: solid;
    border-radius: 0 4px 4px 0;
    background-color: rgb(255,255,255);
}

/*.bs-badge {
    background: red;     DP - 2019-04-01 - was darkorange
    font-size: 11px;
    font-weight: 700;
    display: inline-block;
    min-width: 20px;
    text-align: center;
    vertical-align: baseline;
    white-space: nowrap;
    color: #fff;
    border-radius: 7px;
}*/

.bs-badge {
    background: white; /* DP - 2020-04-29 - change to black on white with border */
    font-size: 11px;
    font-weight: 700;
    display: inline-block;
    min-width: 20px;
    text-align: center;
    vertical-align: baseline;
    white-space: nowrap;
    color: black;
    border-radius: 7px;
    border-color: black;
    border-style: solid;
    border-width: 1px;
}

.bs-badge.badge-tab {
    top: 2px;
    right: 2px;
    position: absolute;
}


.bs-badge.badge-absolute {
    position: absolute;
    line-height: 18px;
    z-index: 5;
    top: 1px;
    left: 1px;
}

.bs-badge.badge-absolute.badge-absolute-right {
    left: 125px;
}

.bs-badge.badge-absolute.bs-badge-detail {
    position: absolute;
    line-height: 14px;
    font-size: 8px;
    min-width: 14px;
    z-index: 5;
    top: 1px;
    left: 1px;
}

/*.badge-attachment{
   position: relative;
   top: 1px;
   left: 1px;
}*/


/* When the body has the loading class, we turn
   the scrollbar off with overflow:hidden */
body.loading {
    overflow: hidden;   
}

/* Anytime the body has the loading class, our
   modal element will be visible */
body.loading .th-waiting-modal {
    display: block;
}

.th-datepicker {
    z-index: 20; /* 999 must be > than popup editor (1002) */
    width: 180px;
}

.th-reporttree-categories {
    font-size: large;
    font-weight: normal;
}

.th-reporttree-items {
    font-size: medium;
}

.th-dotted-box {
	border: 1px dotted ;
	font-size: 1em ;
	padding: 8px ;
}

.btn-group-lg>.btn,
.btn-lg,
.size-lg {
    line-height: 46px;
    min-width: 56px;
    height: 46px
}

.btn-group-lg>.btn,
.btn-lg {
    font-size: 18px;
    padding: 0 16px
}

.btn-group-md>.btn,
.btn-md,
.size-md {
    line-height: 28px;
    min-width: 28px;
    height: 26px
}

.btn-group-md>.btn,
.btn-md {
    font-size: 14px;
    padding:  0 7px 28px;
}

#ulTabLinks .ui-tabs-active a {
    color: #2381E9;
    text-decoration: none;
    outline: none;
}

#divLocationsPartial .fancytree-container
{
    border: none;
    outline: none;
}

.filter-icon-on
{
    background-image: url("../images/Filter-icon.png");
    background-position: left center;
    background-repeat: no-repeat;
    padding-left: 32px; /* Adjust according to image size to push text across. */
}

.filter-icon-off
{
    background-image: url("../images/Clear-Filter-icon.png");
    background-position: left center;
    background-repeat: no-repeat;
    padding-left: 32px; /* Adjust according to image size to push text across. */
}

.filedrag {
    border: 2px dashed #AAA;
    border-radius: 7px;
    cursor: default;
    padding: 15px;
    margin-bottom: 20px;
}

.filedrag .drag-label {
    font-weight: bold;
    text-align: center;
    display: block;
    color: #AAA;
    margin-top: 10px;
    /*margin-bottom: -10px;*/
}

.filedrag.hover {
    border-color: #F00;
    border-style: solid;
    box-shadow: inset 0 3px 4px #888;
}

.filedrag.hover .drag-label {
    color: #F00;
}

.file-input-wrapper {
    position: relative;
}

.file-input-wrapper .file-input-button {
    position: relative;
    overflow: hidden;
}

.file-input-wrapper .file-input-button * {
    cursor: pointer;
}

.file-input-wrapper .file-input-button input[type="file"] {
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    cursor: pointer;
    opacity: 0;
}

.attachment-row-view-input {
    background-color: transparent; 
    border: 0;
    cursor: pointer;
}

.error {
  border-color: red;
}

label.error {
  color: red;
  font-weight: normal;
  font-size: small;
}

td.hover:hover {
    font-weight: bold;
}

.location-edit, .serialized-item-edit, .transaction-edit, .workorder-edit, .vendordocument-edit, .ratesheet-edit {
    cursor: pointer;
}

.th-horizontal-scroll {
    display: block;
    overflow-y: auto;
    white-space: nowrap;
}

/* part-number-catalog dialog - category table */
.pnc-category tbody {
    display: block;
    max-height: 390px;
    overflow-y: auto;
}
.pnc-category tbody td:first-child {
    width: 16px;
}
.pnc-category tbody td:not(:first-child) {
    width: 100%;
}


/* part-number-catalog dialog - partnumber table */
.pnc-partnumber thead {
    width: 97%;
}
.pnc-partnumber tbody {
    max-height: 450px;
    overflow-y: auto;
    width: 100%;
}
/*.pnc-partnumber thead, .pnc-partnumber tbody, .pnc-partnumber tr, .pnc-partnumber td, .pnc-partnumber th {
    display: block;
}*/
/*.pnc-partnumber thead, .pnc-partnumber tbody {
    display: block;  here
}*/

.pnc-partnumber thead tr {
    position: relative;
}

.pnc-partnumber tbody td, .pnc-partnumber thead > tr > th, .pnc-partnumber thead > tr > td {
    /*float: left;*/
    border-bottom-width: 0;
}

.td-center {
    text-align: center;
}

/*div.dataTables_processing {
    z-index: 1000;
}*/
/*.partnumer-catalog tbody {
    display: block;
    overflow: auto;
    height: 450px;
    width: 100%;
}

.partnumer-catalog-category tbody {
    display: block;
    overflow: auto;
    height: 375px;
    width: 100%;
}*/
/*
    .partnumer-catalog-category tbody tr {
    display: block;
    overflow: auto;
    height: 350px;
    width: 100%;
}

.partnumer-catalog-category tbody tr {
    width: 100%;
}*/
/*.partnumer-catalog thead tr {
    display: block;
    width: 100%;
}

tr td:first-child,
tr td:last-child {

}
*/
/*PART NUMBER CATALOG */
/*container */
/*#partnumber-catalog-category {
    clear: both;
    overflow-x: auto;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%)
}*/
/*.pnc-fixedheader thead tr {
    position: relative;
}

.pnc-fixedheader tbody {
    display: block;
    max-height: 375px;
    overflow-x: auto;
    width: 100%
}

.pnc-fixedheader thead {
    display: inline-block;
    width: 100%;
}*/
/* decoration*/
/*.pnc-fixedheader {
    font: 12px Verdana;
    border-collapse: collapse;
    border-spacing: 1px
}*/
/*    .pnc-fixedheader th {
        padding: 5px;
        border: 1px solid #888888;
}*/
/*    .pnc-fixedheader td {
        padding: 5px;
        border-style: solid;
    border-width: 0px 1px 1px 1px;
    border-color: #888888;
}*/
/*.workorder-checklist-table {
    table-layout: fixed;
    width: 100%;
    border-collapse: collapse;
}

.workorder-checklist-table td {
    min-width: 50px;
    border: 1px solid;
}*/
.workorder-checklist-options-table {
    table-layout: fixed;
    width: 100%;
    border-collapse: collapse;
}

.workorder-checklist-options-table td {
    min-width: 50px;
    text-align: left;
}

.report-layout-container {
    border-style: dashed;
    border-width: 2px;
    border-radius: 8px;
    border-color: #337ab7;
    padding: 0;
    margin-top: 10px;
    margin-bottom: 10px;
    min-height: 48px;
}

.report-layout-container.detail {
    border-style: dotted;
}

.ul-2-column {
    columns: 2;
    -webkit-columns: 2;
    -moz-columns: 2;
}

.ul-3-column {
    columns: 3;
    -webkit-columns: 3;
    -moz-columns: 3;
}

.ul-4-column {
    columns: 4;
    -webkit-columns: 4;
    -moz-columns: 4;
}


/* treeview node text overflowing into location content */
ul.ui-fancytree.fancytree-container {
    white-space: normal;
}

span.fancytree-node {
    display: flex;
}

.tableFixHead {
    overflow-y: auto;
    height: 515px;
    font-size: 12px;
}

/* fix column headers in table*/
.tableFixHead thead th {
    position: sticky;
    top: 0;
    background-color: white;
}

/* fix first column of table*/
.tableFixHead td:first-child {
        position: sticky;
        left: 0px;
        background-color: white;
        opacity:  0.95;
}


.tableFix1RowHead {
    overflow-y: auto;
    height: 515px;
    font-size: 12px;
}

    .tableFix1RowHead tbody {
        z-index: 1;
    }

    /* fix column header in table*/
    .tableFix1RowHead thead tr:nth-child(1) {
        background-color: lightgray;
    }

    /* fix column header in table*/
    .tableFix1RowHead thead tr:nth-child(1) th {
        background-color: lightgray;
        position: sticky;
        top: 0;
        z-index: 10;
    }


.tableFixHeaderFilterRow {
    overflow-y: auto;
    height: 515px;
    font-size: 12px;
}

    .tableFixHeaderFilterRow tbody {
        z-index: 1;
    }

    /* fix column headers (2 rows) in table*/
    .tableFixHeaderFilterRow thead tr:nth-child(1) {
        background-color: lightgray;
    }

    /* fix column headers (2 rows) in table*/
    .tableFixHeaderFilterRow thead tr:nth-child(2) {
        background-color: lightgray;
    }

    /* fix column headers (2 rows) in table*/
    .tableFixHeaderFilterRow thead tr:nth-child(1) th {
        background-color: lightgray;
        position: sticky;
        top: 0;
        z-index: 10;
    }

    /* fix column headers (2 rows) in table*/
    .tableFixHeaderFilterRow thead tr:nth-child(2) th {
        background-color: lightgray;
        position: sticky;
        top: 39px;
        z-index: 10;
    }

    /* fix first column of table*/
    .tableFixHeaderFilterRow tbody td:nth-child(1) {
        position: sticky;
        left: 0px;
        background-color: white;
        opacity: 0.95;
    }

    /* fix first column of table*/
    .tableFixHeaderFilterRow tbody td:nth-child(2) {
        position: sticky;
        left: 44px;
        background-color: white;
        opacity: 0.95;
    }

    /* fix first column of table*/
    .tableFixHeaderFilterRow tbody td:nth-child(3) {
        position: sticky;
        left: 110px;
        background-color: white;
        opacity: 0.95;
    }


.th-wide-column {
    min-width:160px;
}

.th-med-column {
    min-width: 120px;
}

.th-small-column {
    min-width: 80px;
}


/* fix column headers in table*/
.chargesTable thead th {
    /*border: 1px solid;*/
}






